| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBitArray Class Reference

A one-dimensional array of bits, similar to STL bitset. More...

`#include <csutil/bitarray.h>`

Inheritance diagram for csBitArray:

[legend]
List of all members.

## Public Member Functions
| csBitArray (const csBitArray &that)
| Construct as duplicate of that (copy constructor).
| csBitArray (size_t size)
| Construct with a size of size bits.
| csBitArray ()
| Default constructor.

## Detailed Description

A one-dimensional array of bits, similar to STL bitset.

The amount of bits is dynamic at runtime.

Definition at line 599 of file bitarray.h.

## Constructor & Destructor Documentation

csBitArray::csBitArray | ( |  | ) | `[inline]`

Default constructor.

Definition at line 603 of file bitarray.h.

csBitArray::csBitArray | ( | size_t | size | ) | `[inline, explicit]`

Construct with a size of size bits.

Definition at line 605 of file bitarray.h.

csBitArray::csBitArray | ( | const csBitArray & | that | ) | `[inline]`

Construct as duplicate of that (copy constructor).

Definition at line 607 of file bitarray.h.

The documentation for this class was generated from the following file:

- csutil/bitarray.h